Можно ли указать пакеты для обновления?

5

Можно ли выбрать, какие пакеты я хочу обновить с помощью apt?

Использование apt-get upgrade обновляет пакеты all , а не только некоторые из них.

Использование apt-get install package не обновляет некоторые необходимые мне пакеты, связанные с указанным пакетом.

Пример: Когда я набираю sudo apt-get install firefox , пакеты, такие как firefox-locale-en , все еще используют предыдущую версию пакета.

    
задан obysr 22.02.2013 в 18:56
источник

2 ответа

5

Предполагая, что у вас есть старые версии пакетов foo и bar , вы можете использовать apt-get install foo bar , в котором будут установлены последние версии выбранных пакетов foo и bar , что приведет к обновлению.     

ответ дан andol 22.02.2013 в 19:02
2

Если есть определенные пакеты, которые вы не хотите обновлять, вы можете заблокировать их до текущей версии. Здесь есть инструкции: Как предотвратить обновление определенного пакета?

Затем вы можете использовать apt-get upgrade , чтобы обновить остальные.

    
ответ дан Stephen Ostermiller 22.02.2013 в 20:01